<bugID>1257613<Summary>Build Menu API to build and show context menus from HTML tools in the toolbox</Summary><Description>As we convert more tools to HTML they will need a way to open context menus.  We don't have a way to open or modify these without using a XUL &lt;menupopup&gt;, &lt;commandset&gt;, etc.

The toolbox needs to provide some way for tools to create, modify, and open context menu popups</Description></bugID>